# OpenapiClient::Label

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**label_id** | **String** | A string that uniquely identifies the label. This ID is generated by ShipEngine when the label is created.  | [optional] [readonly] 
**status** | [**LabelStatus**](LabelStatus.md) |  | [optional] [readonly] 
**shipment_id** | **String** | The shipment that this label is for.  ShipEngine can create a shipment for you automatically when you [create a label](https://www.shipengine.com/docs/labels/create-a-label/), or you can [create your own shipment](https://www.shipengine.com/docs/shipping/create-a-shipment/) and then [use it to print a label](https://www.shipengine.com/docs/labels/create-from-shipment/)  | [optional] [readonly] 
**shipment** | [**Shipment**](Shipment.md) | The shipment information used to generate the label | [optional] 
**ship_date** | **DateTime** | The date that the package was (or will be) shippped.  ShipEngine will take the day of week into consideration. For example, if the carrier does not operate on Sundays, then a package that would have shipped on Sunday will ship on Monday instead.  | [optional] [readonly] 
**created_at** | **DateTime** | The date and time that the label was created in ShipEngine. | [optional] [readonly] 
**shipment_cost** | [**MonetaryValue**](MonetaryValue.md) | The cost of shipping, delivery confirmation, and other carrier charges.  This amount **does not** include insurance costs.  | [optional] [readonly] 
**insurance_cost** | [**MonetaryValue**](MonetaryValue.md) | The insurance cost for this package.  Add this to the &#x60;shipment_cost&#x60; field to get the total cost.  | [optional] [readonly] 
**tracking_number** | **String** | The tracking number for the package. Tracking number formats vary across carriers. | [optional] [readonly] 
**is_return_label** | **Boolean** | Indicates whether this is a return label.  You may also want to set the &#x60;rma_number&#x60; so you know what is being returned.  | [optional] 
**rma_number** | **String** | An optional Return Merchandise Authorization number.  This field is useful for return labels.  You can set it to any string value.  | [optional] 
**is_international** | **Boolean** | Indicates whether this is an international shipment.  That is, the originating country and destination country are different.  | [optional] [readonly] 
**batch_id** | **String** | If this label was created as part of a [batch](https://www.shipengine.com/docs/labels/bulk/), then this is the unique ID of that batch.  | [optional] [readonly] 
**carrier_id** | **String** | The unique ID of the [carrier account](https://www.shipengine.com/docs/carriers/setup/) that was used to create this label  | [optional] [readonly] 
**charge_event** | [**LabelChargeEvent**](LabelChargeEvent.md) | The label charge event.  | [optional] 
**outbound_label_id** | **String** | The &#x60;label_id&#x60; of the original (outgoing) label that the return label is for. This associates the two labels together, which is required by some carriers.  | [optional] 
**service_code** | **String** | The [carrier service](https://www.shipengine.com/docs/shipping/use-a-carrier-service/) used to ship the package, such as &#x60;fedex_ground&#x60;, &#x60;usps_first_class_mail&#x60;, &#x60;flat_rate_envelope&#x60;, etc.  | [optional] [readonly] 
**test_label** | **Boolean** | Indicate if this label is being used only for testing purposes. If true, then no charge will be added to your account. | [optional] [default to false]
**package_code** | **String** | The [package type](https://www.shipengine.com/docs/reference/list-carrier-packages/), such as &#x60;thick_envelope&#x60;, &#x60;small_flat_rate_box&#x60;, &#x60;large_package&#x60;, etc.  The code &#x60;package&#x60; indicates a custom or unknown package type.  | [optional] [readonly] 
**validate_address** | [**ValidateAddress**](ValidateAddress.md) |  | [optional] 
**voided** | **Boolean** | Indicates whether the label has been [voided](https://www.shipengine.com/docs/labels/voiding/)  | [optional] [readonly] 
**voided_at** | **DateTime** | The date and time that the label was [voided](https://www.shipengine.com/docs/labels/voiding/), or &#x60;null&#x60; if the label has not been voided  | [optional] [readonly] 
**label_download_type** | [**LabelDownloadType**](LabelDownloadType.md) |  | [optional] 
**label_format** | [**LabelFormat**](LabelFormat.md) | The file format that you want the label to be in.  We recommend &#x60;pdf&#x60; format because it is supported by all carriers, whereas some carriers do not support the &#x60;png&#x60; or &#x60;zpl&#x60; formats.  | [optional] 
**label_layout** | [**LabelLayout**](LabelLayout.md) | The layout (size) that you want the label to be in.  The &#x60;label_format&#x60; determines which sizes are allowed.  &#x60;4x6&#x60; is supported for all label formats, whereas &#x60;letter&#x60; (8.5\&quot; x 11\&quot;) is only supported for &#x60;pdf&#x60; format.  | [optional] 
**trackable** | **Boolean** | Indicates whether the shipment is trackable, in which case the &#x60;tracking_status&#x60; field will reflect the current status and each package will have a &#x60;tracking_number&#x60;.  | [optional] [readonly] 
**label_image_id** | **String** | The label image resource that was used to create a custom label image. | [optional] 
**carrier_code** | **String** | The [shipping carrier](https://www.shipengine.com/docs/carriers/setup/) who will ship the package, such as &#x60;fedex&#x60;, &#x60;dhl_express&#x60;, &#x60;stamps_com&#x60;, etc.  | [optional] [readonly] 
**tracking_status** | [**TrackingStatus**](TrackingStatus.md) | The current status of the package, such as &#x60;in_transit&#x60; or &#x60;delivered&#x60; | [optional] [readonly] 
**label_download** | [**LabelDownload**](LabelDownload.md) |  | [optional] [readonly] 
**form_download** | [**Link**](Link.md) | The link to downlaod the customs form (a.k.a. commercial invoice) for this shipment, if any.  Forms are in PDF format. This field is null if the shipment does not require a customs form, or if the carrier does not support it.  | [optional] [readonly] 
**insurance_claim** | [**Link**](Link.md) | The link to submit an insurance claim for the shipment.  This field is null if the shipment is not insured or if the insurance provider does not support online claim submission.  | [optional] [readonly] 
**packages** | [**Array&lt;Package&gt;**](Package.md) | The label&#39;s package(s).  &gt; **Note:** Some carriers only allow one package per label.  If you attempt to create a multi-package label for a carrier that doesn&#39;t allow it, an error will be returned.  | [optional] [readonly] 

## Code Sample

```ruby
require 'OpenapiClient'

instance = OpenapiClient::Label.new(label_id: null,
                                 status: null,
                                 shipment_id: null,
                                 shipment: null,
                                 ship_date: null,
                                 created_at: null,
                                 shipment_cost: null,
                                 insurance_cost: null,
                                 tracking_number: 782758401696,
                                 is_return_label: null,
                                 rma_number: null,
                                 is_international: null,
                                 batch_id: null,
                                 carrier_id: null,
                                 charge_event: null,
                                 outbound_label_id: null,
                                 service_code: null,
                                 test_label: null,
                                 package_code: null,
                                 validate_address: null,
                                 voided: null,
                                 voided_at: null,
                                 label_download_type: null,
                                 label_format: null,
                                 label_layout: null,
                                 trackable: null,
                                 label_image_id: null,
                                 carrier_code: null,
                                 tracking_status: null,
                                 label_download: null,
                                 form_download: null,
                                 insurance_claim: null,
                                 packages: null)
```


