=begin
#ShipEngine API

#ShipEngine's easy-to-use REST API lets you manage all of your shipping needs without worrying about the complexities of different carrier APIs and protocols. We handle all the heavy lifting so you can focus on providing a first-class shipping experience for your customers at the best possible prices.  Each of ShipEngine's features can be used by itself or in conjunction with each other to build powerful shipping functionality into your application or service.  ## Getting Started If you're new to REST APIs then be sure to read our [introduction to REST](https://www.shipengine.com/docs/rest/) to understand the basics. Learn how to [authenticate yourself to ShipEngine](https://www.shipengine.com/docs/auth/), and then use our [sandbox environment](https://www.shipengine.com/docs/sandbox/) to kick the tires and get familiar with our API. If you run into any problems, then be sure to check the [error handling guide](https://www.shipengine.com/docs/errors/) for tips.  Here are some step-by-step **tutorials** to get you started:    - [Learn how to create your first shipping label](https://www.shipengine.com/docs/labels/create-a-label/)   - [Calculate shipping costs and compare rates across carriers](https://www.shipengine.com/docs/rates/)   - [Track packages on-demand or in real time](https://www.shipengine.com/docs/tracking/)   - [Validate mailing addresses anywhere on Earth](https://www.shipengine.com/docs/addresses/validation/)   ## Shipping Labels for Every Major Carrier ShipEngine makes it easy to [create shipping labels for any carrier](https://www.shipengine.com/docs/labels/create-a-label/) and [download them](https://www.shipengine.com/docs/labels/downloading/) in a [variety of file formats](https://www.shipengine.com/docs/labels/formats/). You can even customize labels with your own [messages](https://www.shipengine.com/docs/labels/messages/) and [images](https://www.shipengine.com/docs/labels/branding/).   ## Real-Time Package Tracking With ShipEngine you can [get the current status of a package](https://www.shipengine.com/docs/tracking/) or [subscribe to real-time tracking updates](https://www.shipengine.com/docs/tracking/webhooks/) via webhooks. You can also create [custimized tracking pages](https://www.shipengine.com/docs/tracking/branded-tracking-page/) with your own branding so your customers will always know where their package is.   ## Compare Shipping Costs Across Carriers Make sure you ship as cost-effectively as possible by [comparing rates across carriers](https://www.shipengine.com/docs/rates/get-shipment-rates/) using the ShipEngine Rates API. Or if you don't know the full shipment details yet, then you can [get rate estimates](https://www.shipengine.com/docs/rates/estimate/) with limited address info.   ## Worldwide Address Validation ShipEngine supports [address validation](https://www.shipengine.com/docs/addresses/validation/) for virtually [every country on Earth](https://www.shipengine.com/docs/addresses/validation/countries/), including the United States, Canada, Great Britain, Australia, Germany, France, Norway, Spain, Sweden, Israel, Italy, and over 160 others. 

The version of the OpenAPI document: 1.1.202006302006
Contact: sales@shipengine.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for OpenapiClient::CarriersApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'CarriersApi' do
  before do
    # run before each test
    @api_instance = OpenapiClient::CarriersApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CarriersApi' do
    it 'should create an instance of CarriersApi' do
      expect(@api_instance).to be_instance_of(OpenapiClient::CarriersApi)
    end
  end

  # unit tests for add_funds_to_carrier
  # Add Funds To Carrier
  # Add Funds To A Carrier
  # @param carrier_id Carrier ID
  # @param add_funds_to_carrier_request_body 
  # @param [Hash] opts the optional parameters
  # @return [AddFundsToCarrierResponseBody]
  describe 'add_funds_to_carrier test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_carrier_by_id
  # Get Carrier By ID
  # Retrive carrier info by ID
  # @param carrier_id Carrier ID
  # @param [Hash] opts the optional parameters
  # @return [GetCarrierByIdResponseBody]
  describe 'get_carrier_by_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_carrier_options
  # Get Carrier Options
  # Get a list of the options available for the carrier
  # @param carrier_id Carrier ID
  # @param [Hash] opts the optional parameters
  # @return [GetCarrierOptionsResponseBody]
  describe 'get_carrier_options test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_carrier_package_types
  # List Carrier Package Types
  # List the package types associated with the carrier
  # @param carrier_id Carrier ID
  # @param [Hash] opts the optional parameters
  # @return [ListCarrierPackageTypesResponseBody]
  describe 'list_carrier_package_types test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_carrier_services
  # List Carrier Services
  # List the services associated with the carrier ID
  # @param carrier_id Carrier ID
  # @param [Hash] opts the optional parameters
  # @return [ListCarrierServicesResponseBody]
  describe 'list_carrier_services test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_carriers
  # List Carriers
  # List all carriers that have been added to this account
  # @param [Hash] opts the optional parameters
  # @return [GetCarriersResponseBody]
  describe 'list_carriers test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
